## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global apiver 6

Name:           libgedit-tepl
Version:        6.12.0
Release:        %autorelease
Summary:        Text editor product line library
License:        LGPL-3.0-or-later
URL:            https://gedit-technology.github.io/
Source0:        https://download.gnome.org/sources/%{name}/6.12/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= 2.62
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(libgedit-amtk-5)
BuildRequires:  pkgconfig(libgedit-gfls-1) >= 0.2
BuildRequires:  pkgconfig(libgedit-gtksourceview-300) >= 2.99.4
BuildRequires:  pkgconfig(libhandy-1) >= 1.6
BuildRequires:  pkgconfig(icu-uc) pkgconfig(icu-i18n)

# renamed upstream except for the gobject-introspection
Conflicts:      tepl < %{version}-%{release}

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# renamed upstream except for the gobject-introspection
Provides:       tepl-devel = %{version}-%{release}
Obsoletes:      tepl-devel < %{version}-%{release}
Conflicts:      tepl-devel < %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install

%find_lang %{name}-%{apiver}


%files -f %{name}-%{apiver}.lang
%license LICENSES/*
%doc NEWS README.md
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Tepl-%{apiver}.typelib
%{_libdir}/libgedit-tepl-%{apiver}.so.2{,.*}

%files devel
%{_includedir}/libgedit-tepl-%{apiver}/
%{_libdir}/libgedit-tepl-%{apiver}.so
%{_libdir}/pkgconfig/libgedit-tepl-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Tepl-%{apiver}.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libgedit-tepl-%{apiver}/


%changelog
## START: Generated by rpmautospec
* Sun Dec 22 2024 John Doe <packager@example.com> - 6.12.0-1
- Uncommitted changes
## END: Generated by rpmautospec
